Bug 620042 - Review Request: dvdbackup - Command line tool for ripping video DVDs
Summary: Review Request: dvdbackup - Command line tool for ripping video DVDs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: manuel wolfshant
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-31 15:42 UTC by Carbo Kuo
Modified: 2014-03-17 05:57 UTC (History)
4 users (show)

Fixed In Version: dvdbackup-0.4.2-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-17 18:21:16 UTC
Type: ---
wolfy: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Carbo Kuo 2010-07-31 15:42:43 UTC
Spec URL: http://www.byvoid.com/application/dvdbackup/dvdbackup.spec
SRPM URL: http://www.byvoid.com/application/dvdbackup/dvdbackup-0.4.1-1.fc13.src.rpm
Description: dvdbackup is a tool to rip video DVDs from the command line. It has
the advantages of being small, fast, and easy to use.

Comment 1 manuel wolfshant 2010-07-31 18:37:09 UTC
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM:
dvdbackup.src: W: no-buildroot-tag
binary RPM:empty
 [x] Package is not relocatable.
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [!] License field in the package spec file matches the actual license.
     Actual license type: GPLv3+
     License file per spec file: GPLv3
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [!] Sources used to build the package match the upstream source, as provided in the spec URL.
     SHA1SUM of source file from SF: d40b738917cac62a46405f6566a66359504f9a73  dvdbackup-0.4.1.tar.bz2
     SHA1SUM of file included in the src.rpm: 6e0a1c77753160e0e02f48954ac9c4af2ff17433  dvdbackup-0.4.1.tar.bz2
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.
 [x] Final provides and requires are sane.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: koji scratch build for rawhide http://koji.fedoraproject.org/koji/taskinfo?taskID=2369438
 [x] Package should compile and build into binary rpms on all supported architectures.
     Tested on: all archs suported by koji scratch build
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the test passes.


=== Issues ===
1. The licenses specified by the sources are GPLv3+ (and LGPL), not GPLv3
[wolfy@wolfy reviews]$ licensecheck /tmp/dvdbackup-0.4.1/*
/tmp/dvdbackup-0.4.1/src/main.c: GPL (v3 or later)
/tmp/dvdbackup-0.4.1/src/dvdbackup.c: GPL (v3 or later)
/tmp/dvdbackup-0.4.1/src/gettext.h: LGPL
/tmp/dvdbackup-0.4.1/src/dvdbackup.h: GPL (v3 or later)


2. The tar.bz2 included in the src.rpm is not identical to the one downloaded with spectool


=== Final Notes ===
You get bonus karma points if you patch the application to compile for EL-6. Now it fails: http://koji.fedoraproject.org/koji/taskinfo?taskID=2369425

Comment 2 Carbo Kuo 2010-08-01 05:24:57 UTC
Thank you reviewing. The issues above have been fixed.
I will inform the upstream author of the compilation failure on RHEL6.

Spec URL: http://www.byvoid.com/application/dvdbackup/dvdbackup.spec
SRPM URL:
http://www.byvoid.com/application/dvdbackup/dvdbackup-0.4.1-1.fc13.src.rpm
Koji:
dist-f13 http://koji.fedoraproject.org/koji/taskinfo?taskID=2370767

Comment 3 manuel wolfshant 2010-08-02 07:25:23 UTC
APPROVED

Comment 4 manuel wolfshant 2010-08-02 10:20:01 UTC
Do you have any other package submitted for review ? Or have you performed any pre-reviews ?

Comment 5 Carbo Kuo 2010-08-02 11:18:34 UTC
(In reply to comment #4)
> Do you have any other package submitted for review ? Or have you performed any
> pre-reviews ?    

Yes. Opencc: https://bugzilla.redhat.com/show_bug.cgi?id=615577

Comment 6 manuel wolfshant 2010-08-20 09:50:27 UTC
Chia, I have sponsored you so now you can proceed to request branches to be created for the package.

Comment 7 Carbo Kuo 2010-08-22 01:37:17 UTC
New Package SCM Request
=======================
Package Name: opencc
Short Description: Libraries for Simplified-Traditional Chinese Conversion
Owners: byvoid
Branches: f12 f13 f14
InitialCC: i18n-team

Comment 8 Carbo Kuo 2010-08-22 03:23:55 UTC
Sorry, the request above was sent by mistake.

New Package SCM Request
=======================
Package Name: dvdbackup
Short Description: Command line tool for ripping video DVDs
Owners: byvoid
Branches: f12 f13 f14
InitialCC:

Comment 9 Kevin Fenzi 2010-08-23 21:13:10 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2010-08-24 08:42:58 UTC
dvdbackup-0.4.1-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/dvdbackup-0.4.1-1.fc12

Comment 11 Fedora Update System 2010-08-24 08:47:39 UTC
dvdbackup-0.4.1-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/dvdbackup-0.4.1-1.fc13

Comment 12 Fedora Update System 2010-08-24 08:47:43 UTC
dvdbackup-0.4.1-1.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/dvdbackup-0.4.1-1.fc14

Comment 13 Fedora Update System 2010-08-24 21:14:53 UTC
dvdbackup-0.4.1-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dvdbackup'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/dvdbackup-0.4.1-1.fc13

Comment 14 Fedora Update System 2010-09-17 18:21:11 UTC
dvdbackup-0.4.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2010-09-23 13:01:13 UTC
dvdbackup-0.4.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Christopher Meng 2014-02-22 12:59:49 UTC
Package Change Request
======================
Package Name: dvdbackup
New Branches: el6 epel7
Owners: cicku

Comment 17 Gwyn Ciesla 2014-02-24 12:57:44 UTC
Git done (by process-git-requests).

Comment 18 Fedora Update System 2014-02-25 15:09:06 UTC
dvdbackup-0.4.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/dvdbackup-0.4.2-1.el6

Comment 19 Fedora Update System 2014-03-17 05:57:27 UTC
dvdbackup-0.4.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.